Bug 386431 - Evince is unable to print PDFs
Evince is unable to print PDFs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 02:51 EST by Fridtjof Busse
Modified: 2009-01-09 00:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:14:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fridtjof Busse 2007-11-16 02:51:47 EST
Description of problem:
evince in Fedora 8 is unable to print on a brother HL-5250DN (default BR3-script
driver). The only thing the printer prints is a page with an error:
ERROR NAME; undefined COMMAOND; inf OPERAND STACK;
Printing works fine with lpr, so the printerdriver itself seems to work just
fine. Printing with evince used to work on Fedora 7.

Version-Release number of selected component (if applicable):
2.20.1

How reproducible:
Try to print a PDF on a BR3-Script (Brother printer
Comment 1 Thomas J. Baker 2007-11-25 12:39:56 EST
I'm having the same problem printing PDFs on multiple systems with multiple
postscript printers.  The printer will blink for a while like it's printing
something but then it stops and nothing comes out. Printing the same file under
F7 or F6 works fine.
Comment 2 Brad Longo 2008-02-27 12:10:35 EST
I am also having a a problem printing pdf files.  My results are the same as
Thomas Baker's.  I noticed though that if I hit print preview I get some
additional  info.  Upon clicking print preview a notification pops up saying
unknown mime type "text/plain".  I don't know if that will help at all in
solving the problem.
Comment 3 Paul Johnson 2008-04-22 12:49:26 EDT
Me too on FC8!  acroread from AdobeReader_enu prints just fine!

Problem seems to happen only when the pdf file has images in it.  Journal
articles from JSTOR are presented in pdf format, but as far as I can tell, the
pdf just contains a bunch of photos of journal pages.  Sometimes printing is
super super slow, but it works.  Other times, the job fails to print, the
printer says "processing job" forever.  Before the most recent "yum update" that
I ran, the jobs would just sit in the queue as displayed in "lpq", but now they
vanish without complaint.

This does not happen if I send jobs to a big fancy HP printer in our main
office. It only happens on the "garden variety" HP laser printers--the ones that
cost less than $500.

I have been experimenting with different ppd files for the HP 1320 laser
printer.  Can't see any difference yet.

In acroread, there are printing options that do not appear in evince.  One can
de-select "download asian fonts" and "save printer memory".  These things seem
to really help in acroread.
Comment 4 antonio montagnani 2008-06-14 07:39:55 EDT
I have same problem in F9 with Evince, Acrobat Reader, XPdf
Comment 5 David Whitney 2008-07-19 15:37:43 EDT
I can't print on F9 either with 'evince'.  It displays PDF documents, but when I
attempt to print, no data is sent to the printer.  The other noticeable
side-effect is that 'evince' starts using 97% of my CPU.

I sure hope this bug is fixed soon!
Comment 6 Matz 2008-10-03 08:32:01 EDT
Maybe this is related to https://bugs.freedesktop.org/show_bug.cgi?id=12769 ?
Comment 7 Bug Zapper 2008-11-26 03:29:32 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 00:14:00 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.